Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Cups debian 7 Resolvido
23/07/2014, 16:13 (Resposta editada pela última vez em: 14/09/2014 19:11 por aaron.)
Resposta: #1
Cups debian 7 Resolvido
Boa tarde pessoal,

Recentemente instalei o debian 7

[email protected]:~$ uname -a
Linux debian 3.2.0-4-amd64 #1 SMP Debian 3.2.60-1+deb7u1 x86_64 GNU/Linux

maravilhoso, fui instalar minha impressora samsung ML-1860

o cups apresentou diversos erros...

Código PHP:
root@debian:/home/fabio# apt-get install cups
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado
... Pronto
Os pacotes extra a seguir serão instalados
:
  
cups-filters libcupscgi1 libcupsfilters1 libcupsmime1 libgutenprint2 libslp1 printer-driver-gutenprint
  ssl
-cert
Pacotes sugeridos
:
  
printer-driver-hpcups hplip cups-pdf gutenprint-locales slpd openslp-doc gutenprint-doc openssl-blacklist
Os NOVOS pacotes a seguir serão instalados
:
  
cups cups-filters libcupscgi1 libcupsfilters1 libcupsmime1 libgutenprint2 libslp1
  printer
-driver-gutenprint ssl-cert
0 pacotes atualizados
9 pacotes novos instalados0 a serem removidos e 0 não atualizados.
É preciso baixar 0 B/3.848 kB de arquivos.
Depois desta operação14,3 MB adicionais de espaço em disco serão usados.
Você quer continuar [S/n]? S
Pré
-configurando pacotes ...
A seleccionar pacote anteriormente não seleccionado libcupscgi1:amd64.
(
Lendo banco de dados ... 111017 ficheiros e directórios actualmente instalados.)
Desempacotando libcupscgi1:amd64 (de .../libcupscgi1_1.5.3-5+deb7u2_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado libcupsmime1:amd64.
Desempacotando libcupsmime1:amd64 (de .../libcupsmime1_1.5.3-5+deb7u2_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado libslp1.
Desempacotando libslp1 (de .../libslp1_1.2.1-9_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado ssl-cert.
Desempacotando ssl-cert (de .../ssl-cert_1.0.32_all.deb) ...
A seleccionar pacote anteriormente não seleccionado libcupsfilters1:amd64.
Desempacotando libcupsfilters1:amd64 (de .../libcupsfilters1_1.0.18-2.1+deb7u1_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado cups-filters.
Desempacotando cups-filters (de .../cups-filters_1.0.18-2.1+deb7u1_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado cups.
Desempacotando cups (de .../cups_1.5.3-5+deb7u2_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado libgutenprint2.
Desempacotando libgutenprint2 (de .../libgutenprint2_5.2.9-1_amd64.deb) ...
A seleccionar pacote anteriormente não seleccionado printer-driver-gutenprint.
Desempacotando printer-driver-gutenprint (de .../printer-driver-gutenprint_5.2.9-1_amd64.deb) ...
Processando gatilhos para man-db ...
Configurando libcupscgi1:amd64 (1.5.3-5+deb7u2) ...
Configurando libcupsmime1:amd64 (1.5.3-5+deb7u2) ...
Configurando libslp1 (1.2.1-9) ...
Configurando ssl-cert (1.0.32) ...
Configurando libcupsfilters1:amd64 (1.0.18-2.1+deb7u1) ...
Configurando cups-filters (1.0.18-2.1+deb7u1) ...
Configurando cups (1.5.3-5+deb7u2) ...
insservwarningscript 'K07smfpd' missing LSB tags and overrides
insserv
warningscript 'smfpd' missing LSB tags and overrides
insserv
There is a loop at service rmnologin if started
insserv
There is a loop between service rmnologin and mountnfs if started
insserv
:  loop involving service mountnfs at depth 10
insserv
:  loop involving service nfs-common at depth 9
insserv
Starting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservStarting smfpd depends on rmnologin and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility 
`$all' which can not be true!
insserv: Starting smfpd depends on rmnologin and therefore on system facility `$all' 
which can not be true!
insservMax recursions depth 99 reached
insserv
:  loop involving service rpcbind at depth 8
insserv
There is a loop between service rmnologin and urandom if started
insserv
:  loop involving service urandom at depth 6
insserv
:  loop involving service mountall at depth 5
insserv
:  loop involving service mountnfs-bootclean at depth 12
insserv
:  loop involving service atd at depth 12
insserv
:  loop involving service networking at depth 8
insserv
:  loop involving service mountall-bootclean at depth 6
insserv
There is a loop between service smfpd and checkroot if started
insserv
:  loop involving service checkroot at depth 3
insserv
:  loop involving service keyboard-setup at depth 2
insserv
There is a loop between service rmnologin and checkfs if started
insserv
:  loop involving service checkfs at depth 5
insserv
:  loop involving service hwclock at depth 3
insserv
There is a loop between service smfpd and checkroot if started
insserv
There is a loop between service smfpd and udev if started
insserv
:  loop involving service udev at depth 1
insserv
:  loop involving service mtab at depth 5
insserv
:  loop involving service mountkernfs at depth 1
insserv
:  loop involving service smfpd at depth 1
insserv
exiting now without changing boot order!
update-rc.derrorinsserv rejected the script header
dpkg
erro ao processar cups (--configure):
 
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando libgutenprint2 
(5.2.9-1) ...
dpkgproblemas com dependências impedem a configuração de printer-driver-gutenprint:
 
printer-driver-gutenprint depende de cups (>= 1.3.0); porém:
  
Pacote cups não está configurado ainda.

dpkgerro ao processar printer-driver-gutenprint (--configure):
 
problemas de dependência deixando desconfigurado
Erros foram encontrados durante o processamento de
:
 
cups
 printer
-driver-gutenprint
E
Sub-process /usr/bin/dpkg returned an error code (1

Tentei estes passos do site

Passos:

1. apt-get --purge remove cups
2. apt-get -f install
3. sudo apt-get autoremove cups-filters libcupscgi1 libcupsfilters1 libcupsmime1 libgutenprint2 libslp1
4. apt-get -f install
5. apt-get update
6. apt-get upgrade

mas ainda sem sucesso.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/07/2014, 15:49
Resposta: #2
RE: Cups debian 7
https://bugs.debian.org/cgi-bin/bugrepor...=589238#20
https://wiki.debian.org/LSBInitScripts

Lucas Saliés Brum
site | blog | telegram | medium | vk | twitter | github | .share
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS